VkPipelineColorBlendAttachmentState Struct Reference

`#include <vulkan.h>`

## Data Fields

VkBool32 | blendEnable
VkBlendFactor | srcColorBlendFactor
VkBlendFactor | dstColorBlendFactor
VkBlendOp | colorBlendOp
VkBlendFactor | srcAlphaBlendFactor
VkBlendFactor | dstAlphaBlendFactor
VkBlendOp | alphaBlendOp
VkColorComponentFlags | colorWriteMask

## Detailed Description

Definition at line 2067 of file vulkan.h.

## Field Documentation

## alphaBlendOp

VkBlendOp VkPipelineColorBlendAttachmentState::alphaBlendOp

Definition at line 2074 of file vulkan.h.

## blendEnable

VkBool32 VkPipelineColorBlendAttachmentState::blendEnable

Definition at line 2068 of file vulkan.h.

## colorBlendOp

VkBlendOp VkPipelineColorBlendAttachmentState::colorBlendOp

Definition at line 2071 of file vulkan.h.

## colorWriteMask

VkColorComponentFlags VkPipelineColorBlendAttachmentState::colorWriteMask

Definition at line 2075 of file vulkan.h.

## dstAlphaBlendFactor

VkBlendFactor VkPipelineColorBlendAttachmentState::dstAlphaBlendFactor

Definition at line 2073 of file vulkan.h.

## dstColorBlendFactor

VkBlendFactor VkPipelineColorBlendAttachmentState::dstColorBlendFactor

Definition at line 2070 of file vulkan.h.

## srcAlphaBlendFactor

VkBlendFactor VkPipelineColorBlendAttachmentState::srcAlphaBlendFactor

Definition at line 2072 of file vulkan.h.

## srcColorBlendFactor

VkBlendFactor VkPipelineColorBlendAttachmentState::srcColorBlendFactor

Definition at line 2069 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h